/* 
   Project: AUTest

   Copyright (C) 2005 Free Software Foundation

   Author: Mark Tracy

   Created: 2005-04-08 22:05:48 -0700 by mark
   
   Application Controller

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
 
   This application is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
 
   You should have received a copy of the GNU General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111 USA.
*/

#include "AppController.h"

@implementation AppController

+ (void)initialize
{
  NSMutableDictionary *defaults = [NSMutableDictionary dictionary];

  /*
   * Register your app's defaults here by adding objects to the
   * dictionary, eg
   *
   * [defaults setObject:anObject forKey:keyForThatObject];
   *
   */
  
  [[NSUserDefaults standardUserDefaults] registerDefaults:defaults];
  [[NSUserDefaults standardUserDefaults] synchronize];
}

- (id)init
{
  if ((self = [super init]))
    {
    }
  return self;
}

- (void)dealloc
{
  [super dealloc];
}

- (void)awakeFromNib
{ 
  [[NSApp mainMenu] setTitle:@"AUTest"];

    // This is the model text box
	NSColor * red = [NSColor redColor];
	NSFont * times = [NSFont fontWithName: @"Times" size: 32.0];
	[tf1 setFont: times];
	[tf1 setBackgroundColor: red];
	[tf1 setStringValue: @"T"];
	
    // Test the NSArchiver and NSUnarchiver
	NSData * redAr = [NSArchiver archivedDataWithRootObject: red];
	NSData * timesAr = [NSArchiver archivedDataWithRootObject: times];
	NSFont * timesU = [NSUnarchiver unarchiveObjectWithData: timesAr];
	NSColor * redU = [NSUnarchiver unarchiveObjectWithData: redAr];
	if (timesU) [tf2 setFont: timesU];
	if (redU) [tf2 setBackgroundColor: redU];
	[tf2 setStringValue: @"T"];
	
    // Test the NSKeyedArchiver and NSKeyedUnarchiver
	NSData * redKAr = [NSKeyedArchiver archivedDataWithRootObject: red];
	NSData * timesKAr = [NSKeyedArchiver archivedDataWithRootObject: times];
	NSFont * timesKU = [NSKeyedUnarchiver unarchiveObjectWithData: timesKAr];
	NSColor * redKU = [NSKeyedUnarchiver unarchiveObjectWithData: redKAr];
	if (timesKU) [tf3 setFont: timesKU];
	if (redKU) [tf3 setBackgroundColor: redKU];
	[tf3 setStringValue: @"T"];

    [self showWindow: self];

}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotif
{
}

- (BOOL)applicationShouldTerminate:(id)sender
{
  return YES;
}

- (void)applicationWillTerminate:(NSNotification *)aNotif
{
}

- (BOOL)application:(NSApplication *)application openFile:(NSString *)fileName
{
}

- (void)showPrefPanel:(id)sender
{
}

@end
